<template>
  <Navbar title="模板编辑" :is-go-back="true" />
  <a-steps :current="step">
    <a-step title="选择模版" />
    <a-step title="编辑模版" />
  </a-steps>
  <!-- <div style="height: 40px;" /> -->
  <a-divider />
  <div v-if="step == 0">
    <Step1 />
  </div>
  <div v-if="step == 1">
    <Step2 />
  </div>
</template>

<script setup>
import Step1 from './step1.vue';
import Step2 from './step2.vue';
import { computed,onMounted } from 'vue';  
import { useStore } from 'vuex';
import { useRouter  } from 'vue-router';
import CreateJPEG from '../../common/X6.js';

const router =  useRouter();
const store = useStore();
const step = computed(()=>store.state.downloadStore.step);
onMounted(() => {
  store.commit('changeStep',0);
});

</script>
<style scoped></style>